Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBAppData.Row

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBAppData.Row

All Implemented Interfaces:
  DBRow

Enclosing class:
  DBAppData

public final class DBAppData.Row
extends Object
implements DBRow

Field Summary
`boolean` | `peerDeleted`
`P2PPlugin` | `qapp`

Constructor Summary
`DBAppData.Row(int appDataId, DBApplication.Row application, String xmlData, boolean peerDeleted, String gkey)`

Method Summary
`void` | `backup(DataOutputStream dos)`
`boolean` | `closed()`
`void` | `delete(P2PPlugin qapp)`
`boolean` | `equals(Object o)`
`AppData` | `getAppData(P2PPlugin qapp)`
`int` | `getAppDataId()`
`DBApplication.Row` | `getApplication()`
`String` | `getGkey()`
`Object` | `getKey()`
`List` | `getKeys()`
`P2PPlugin` | `getPlugin()` Returns the p2p application plugin
`String` | `getXMLData()`
`void` | `setAppData(P2PPlugin qapp, AppData appData)`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### peerDeleted

    public boolean peerDeleted

### qapp

    public P2PPlugin qapp

Constructor Detail

### DBAppData.Row

    public DBAppData.Row(int appDataId,
                         DBApplication.Row application,
                         String xmlData,
                         boolean peerDeleted,
                         String gkey)

Method Detail

### getKeys

    public List getKeys()

  Specified by:
    `getKeys` in interface `DBRow`

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `DBRow`

### getXMLData

    public String getXMLData()
                      throws Exception

### update

    public void update()
                throws Exception

### delete

    public void delete(P2PPlugin qapp)
                throws Exception

### closed

    public boolean closed()

### getAppDataId

    public int getAppDataId()

### getGkey

    public String getGkey()

### getAppData

    public AppData getAppData(P2PPlugin qapp)
                       throws Exception

### setAppData

    public void setAppData(P2PPlugin qapp,
                           AppData appData)

### getPlugin

    public final P2PPlugin getPlugin()

  Returns the p2p application plugin

### getApplication

    public DBApplication.Row getApplication()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### backup

    public void backup(DataOutputStream dos)
                throws Exception

  Specified by:
    `backup` in interface `DBRow`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD